QGIS Application - Bug report #9594
Save output shapefile dialogue is slow to load filenames
2014-02-18 06:54 AM - Simon Bowyer

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18174
Description

When browsing to save the output shapefile of a tool, the browse dialogue box consistently takes several tens of seconds to populate the
filenames, and is unresponsive during this time. The filenames are local, not network.

History

#1 - 2014-02-20 11:08 AM - Simon Bowyer

More info, narrowing the problem and considerably reducing the impact:
A network drive was mapped but no longer available. Removing the drive mapping cured the problem.

When the 'Save output shapefile' dialogue box opens it may be trying to update that drive first even though only the local files are needing to be displayed.

#2 - 2014-02-20 12:19 PM - Etienne Tourigny
- Priority changed from High to Low

Not sure anything in Qgis could fix this.

#3 - 2014-02-23 12:15 AM - Matthias Kuhn

- Status changed from Open to Feedback

Is the "Save Output Shapefile" dialog the only one affected? Is there any difference for

- The open dialogs (e.g. open project)

- Other save as dialogs (e.g. save project as)
- Other application's dialogs

#4 - 2014-06-21 03:17 AM - Jiirgen Fischer
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback
